Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.ext.awt.image
Class SVGComposite.OverCompositeContext_INT_PACK_UNPRE

    java.lang.Object
      org.apache.batik.ext.awt.image.SVGComposite.AlphaPreCompositeContext
          org.apache.batik.ext.awt.image.SVGComposite.AlphaPreCompositeContext_INT_PACK
              org.apache.batik.ext.awt.image.SVGComposite.OverCompositeContext_INT_PACK_UNPRE

All Implemented Interfaces:
  java.awt.CompositeContext

Enclosing class:
  SVGComposite

public static class SVGComposite.OverCompositeContext_INT_PACK_UNPRE
extends SVGComposite.AlphaPreCompositeContext_INT_PACK

This implements SRC_OVER for Int packed data where the src is unpremultiplied. This avoids having to multiply the alpha on the the source then divide it out again.

Method Summary
`void` | `compose(java.awt.image.Raster src, java.awt.image.Raster dstIn, java.awt.image.WritableRaster dstOut)`
`void` | `precompose_INT_PACK(int width, int height, int[] srcPixels, int srcAdjust, int srcSp, int[] dstInPixels, int dstInAdjust, int dstInSp, int[] dstOutPixels, int dstOutAdjust, int dstOutSp)`

Methods inherited from class org.apache.batik.ext.awt.image.SVGComposite.AlphaPreCompositeContext_INT_PACK
`precompose`

Methods inherited from class org.apache.batik.ext.awt.image.SVGComposite.AlphaPreCompositeContext
`dispose`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### compose

    public void compose(java.awt.image.Raster src,
                        java.awt.image.Raster dstIn,
                        java.awt.image.WritableRaster dstOut)

  Specified by:
    `compose` in interface `java.awt.CompositeContext`
  Overrides:
    `compose` in class `SVGComposite.AlphaPreCompositeContext`

### precompose_INT_PACK

    public void precompose_INT_PACK(int width,
                                    int height,
                                    int[] srcPixels,
                                    int srcAdjust,
                                    int srcSp,
                                    int[] dstInPixels,
                                    int dstInAdjust,
                                    int dstInSp,
                                    int[] dstOutPixels,
                                    int dstOutAdjust,
                                    int dstOutSp)

  Specified by:
    `precompose_INT_PACK` in class `SVGComposite.AlphaPreCompositeContext_INT_PACK`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.